Rakuten shop items
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-rakuten-shops-items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"shop": "sawaicoffee-tea",
"max_items": 2
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-rakuten-shops-items"
payload = {
"shop": "sawaicoffee-tea",
"max_items": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({shop: 'sawaicoffee-tea', max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-rakuten-shops-items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "rakuten_shop_items",
"shop": "sawaicoffee-tea",
"shop_code": "sawaicoffee-tea",
"max_items": 2,
"start_page": 1,
"partial": false,
"human": "# Rakuten shop items\n\n- **Shop:** sawaicoffee-tea\n- **Starting page:** 1\n- **Max items:** 2\n- **Records returned:** 2\n- **Proxy traffic:** 2.33 MB",
"machine": {
"total_items": 2,
"first_item": {
"id": "sawaicoffee-tea/osechi-200set",
"item_code": "osechi-200set",
"url": "https://item.rakuten.co.jp/sawaicoffee-tea/osechi-200set/",
"title": "澤井珈琲|コーヒー 送料無料 ドリップバッグ 珈琲 \"みんなで楽しめる大容量ドリップパック\" ドリップコーヒー 10種 200袋 セット 福袋 おせち コスパ最強 飲み比べ 簡単 手軽 個包装 ブラジル グアテマラ 中煎り~深煎り エチオピア 多彩なブレンド 【RD】 【TS】",
"subtitle": "職場の休憩に 自宅でカフェ気分 家でも職場でも 手間なく抽出 贅沢アソート いろいろなコーヒーを楽しみたい 職場で手軽にコーヒーを飲みたい やわらかさから力強さまで 食後の一杯に",
"image": "https://thumbnail.image.rakuten.co.jp/@0_mall/sawaicoffee-tea/cabinet/thum/ff26/osechi-200set_01.jpg",
"price": 15980,
"price_max": 15980,
"currency": "JPY",
"point": 294,
"is_free_shipping": true,
"is_sold_out": false,
"rating": 4.82,
"review_count": 3445,
"category_id": 506539,
"category": "ドリップバッグ・コーヒーバッグ",
"genre_breadcrumbs": [
"水・ソフトドリンク",
"コーヒー"
],
"shop": {
"id": 198667,
"name": "澤井珈琲Beans&Leaf",
"alias": "sawaicoffee-tea"
}
},
"items": [
{
"id": "sawaicoffee-tea/osechi-200set",
"item_code": "osechi-200set",
"url": "https://item.rakuten.co.jp/sawaicoffee-tea/osechi-200set/",
"title": "澤井珈琲|コーヒー 送料無料 ドリップバッグ 珈琲 \"みんなで楽しめる大容量ドリップパック\" ドリップコーヒー 10種 200袋 セット 福袋 おせち コスパ最強 飲み比べ 簡単 手軽 個包装 ブラジル グアテマラ 中煎り~深煎り エチオピア 多彩なブレンド 【RD】 【TS】",
"subtitle": "職場の休憩に 自宅でカフェ気分 家でも職場でも 手間なく抽出 贅沢アソート いろいろなコーヒーを楽しみたい 職場で手軽にコーヒーを飲みたい やわらかさから力強さまで 食後の一杯に",
"image": "https://thumbnail.image.rakuten.co.jp/@0_mall/sawaicoffee-tea/cabinet/thum/ff26/osechi-200set_01.jpg",
"price": 15980,
"price_max": 15980,
"currency": "JPY",
"point": 294,
"is_free_shipping": true,
"is_sold_out": false,
"rating": 4.82,
"review_count": 3445,
"category_id": 506539,
"category": "ドリップバッグ・コーヒーバッグ",
"genre_breadcrumbs": [
"水・ソフトドリンク",
"コーヒー"
],
"shop": {
"id": 198667,
"name": "澤井珈琲Beans&Leaf",
"alias": "sawaicoffee-tea"
}
},
{
"id": "sawaicoffee-tea/yakumoice160",
"item_code": "yakumoice160",
"url": "https://item.rakuten.co.jp/sawaicoffee-tea/yakumoice160/",
"title": "\先着300円OFFクーポン配布/ 送料無料 コーヒー 珈琲 コーヒー豆 水出し珈琲 \"甘味香る芳醇のアイスコーヒー\" 澤井珈琲 ブレンドやくもアイス 400g×3袋 濃厚で爽やか 芳醇な味わい リピート 大満足 迅速配送 水出し簡単 【RD】 【TS】",
"subtitle": "仕事の合間や家事のあとにほっと一息。手軽に淹れて本格的な味わい。香ばしい深みとすっきりした後味で、毎日のリラックスタイムを豊かに彩る一杯です。",
"image": "https://thumbnail.image.rakuten.co.jp/@0_mall/sawaicoffee-tea/cabinet/thum/ff26/yakumoice120_t_01.jpg",
"price": 8998,
"price_max": 8998,
"currency": "JPY",
"point": 166,
"is_free_shipping": true,
"is_sold_out": false,
"rating": 4.54,
"review_count": 37,
"category_id": 201402,
"category": "コーヒー豆",
"genre_breadcrumbs": [
"水・ソフトドリンク",
"コーヒー"
],
"shop": {
"id": 198667,
"name": "澤井珈琲Beans&Leaf",
"alias": "sawaicoffee-tea"
}
}
],
"not_found": false,
"proxy_traffic_bytes": 2441602
},
"total_points": 2
}E-commerce & Marketplaces
Rakuten shop items
The item catalog of a Rakuten Ichiba shop by shop_code or URL: title, price range, image, points, shipping, rating, category. 1 point per returned record.
POST
/
functions
/
v1
/
run-rakuten-shops-items
Rakuten shop items
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.